{ self, inputs, ... }:
{
  flake.nixosModules.t2mbpHome =
    { self, pkgs, ... }:
    {
      imports = [ self.nixosModules.desktopHomeBase ];

      chiasson.users.extraModules.olivier = [
        {
          chiasson.home = {
            browsers.edge.enable = true;

            apps = {
              discord.enable = true;
              pokeclicker.enable = true;
            };

            editors.vscode = {
              enable = true;
              extensions = with pkgs.vscode-extensions; [
                alefragnani.project-manager
                johnpapa.vscode-peacock
              ];
            };
          };
        }
      ];
    };
}
